Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 84811

Summary: network configuration crashes when trying to add a host
Product: [Retired] Red Hat Linux Reporter: Need Real Name <sdpowell>
Component: netcfgAssignee: Nalin Dahyabhai <nalin>
Status: CLOSED CANTFIX QA Contact: David Lawrence <dkl>
Severity: medium Docs Contact:
Priority: medium    
Version: 8.0   
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2006-10-18 16:09:55 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Need Real Name 2003-02-21 16:19:49 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
When in network config I try to add a host. Completely fill out the Add/edit
host entry screen then click OK.
When I click apply I get a crash with the following information:

Traceback (most recent call last):
  File "/usr/sbin/neat", line 496, in on_applyButton_clicked
    self.save()
  File "/usr/sbin/neat", line 320, in save
    self.saveProfiles()
  File "/usr/sbin/neat", line 336, in saveProfiles
    profilelist.save()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/NCProfileList.py",
line 300, in save
    for i in hoconf.keys():
  File "/usr/lib/python2.2/site-packages/rhpl/Conf.py", line 483, in keys
    keys.append(var[1])
IndexError: list index out of range

Local variables in innermost frame:
var: ['205.152.64.20']
keys: []
self: <rhpl.Conf.ConfEHosts instance at 0x84f679c>
place: 4


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Open network configuration
2.Click on hosts
3.Click on Add
4.Fill in the 3 lines in the "Add/Edit hosts entry" screen
5.Address "192.168.0.1"
6.Hostname "localhost.localdomain"
7.Aliases "localhost"
8.Click Okay
9.Click on apply
10.CRASH!
    

Actual Results:  Crash

Expected Results:  I expected network config to accept the information

Additional info:

Comment 1 Bill Nottingham 2006-08-07 18:47:49 UTC
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.

Comment 2 Bill Nottingham 2006-10-18 16:09:55 UTC
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.